# Quick Start (Algod)

{% hint style="success" %}
API/RPC access does not require any tokens. \
You should leave this field empty unless you subscribe to a paid tier. &#x20;
{% endhint %}

{% tabs %}
{% tab title="Typescript" %}

```typescript
import {Algodv2} from 'algosdk';

const token = '' // no token needed!;
// const testnet ="https://testnet-api.algonode.cloud";
const mainnet = 'https://mainnet-api.algonode.cloud';
const client = new Algodv2(token, mainnet , 443);

//Query archival node status
(async () => {
  console.log(await client.status().do());
})().catch((e) => {
  console.log(e);
});
```

{% endtab %}

{% tab title="Python" %}

```python
from algosdk.v2client import algod

algod_address = "https://mainnet-api.alognode.cloud"
algod_token = ""
headers = {
   "X-API-Key": algod_token,
}

algod_client = algod.AlgodClient(algod_token, algod_address, headers)

try:
    status = algod_client.status()
except Exception as e:
    print("Failed to get algod status: {}".format(e))
                                                                                                                                            
last_round = status.get("last-round")
```

{% endtab %}
{% endtabs %}

{% hint style="danger" %}
As a general rule please make sure you pause for a bit before repeating the same query after ANY error. Failing to do that might get your IP address banned for a period of time.&#x20;
{% endhint %}

{% hint style="warning" %}
The free tier will return HTTP 429 error if you attempt to do more than 50 requests (500+ for paid tiers) per second from your machine. Advanced examples show how to use rate limiters to solve this issue.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nodely.io/algorand/quick-start-algod.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
